Client PC System Requirements

Service RAM (GB) Disk (GB) CPU
EPC Modeler 4 10 Core i3 2GHz or better
EPC WebApp 2 1 Core i3 1.6GHz or better

Supported Operating Systems for EPC Modeler

  • Windows® 7 Service Pack 1 (64 bit)
  • Windows 8, 8.1, 10 (64 bit)

Supported Operating Systems for EPC Web portal

  • Windows® 7 Service Pack 1 (32 bit and 64 bit)
  • Windows 8, 8.1, 10 (32 bit and 64 bit)

Software Required for all EPC Modeler Clients

  • Java 2 Runtime Environment 64 bit, Standard Edition 1.8 (update 112 or higher)
  • Microsoft Word 2007, 2010, 2013, or 2016
    • Required for the Process Book and SOP feature and to view objects in the Document repository

Software Required for the EPC Web Portal

  • Java 2 Runtime Environment 32 or 64 bit, Standard Edition 1.8 (update 112 or higher)
  • Microsoft® Internet Explorer version 11.0 or higher
  • Adobe Acrobat Reader X, or higher (must be the default PDF reader on the client machine.)

List of Browsers where the EPC 10 Web portal is certified

Windows 7 SP1, Windows 8 and Windows 10

  • Internet Explorer 11 or newer
  • Chrome Version 58.0 or newer
  • Firefox 53.0 or newer

Android 6 or newer Smartphone or Tablet

  • Galaxy S5 and newer
  • Galaxy TAB 2 and newer

iOS 10 or newer iPhone and iPad

  • Iphone6 and newer
  • Apple iPad 10.2.1. (14D7) – (Safari) and newer

Printers

Printers with PostScript support are required for printing all maps and graphics from the EPC Modeler.

Need more help with this?
Visit the Support Portal

Thanks for your feedback.